%define name extipl
%define version 5.04
%define release 3mdk

Summary: Yet Another Boot Selector for IBM-PC compatibles.
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.tsden.org/ryutaroh/extipl/extipl.html
Source0: http://www.tsden.org/takamiti/extipl/archs/%{name}-%{version}.tar.bz2
License: GPL
Group: System/Kernel and hardware
Packager: Pixel <pixel@mandrakesoft.com>
BuildRequires:	nasm
BuildRoot: %{_tmppath}/%{name}-buildroot
Exclusivearch: %{ix86}
Patch1: extipl-5.03-fix-manpage.patch.bz2

%description
Extended-IPL is a boot selector which is upper compatible with 
original IBM IPL. This package includes the installer for this
boot code which is written into MBR of your hard disk.

With this boot selector, you can select a partition from 
all the partitions including the logical partitions as well as 
the primary ones in all the BIOS supported disks when booting a PC,
and then it will boot up the OS reside at the selected partition.

%prep
%setup -q
%patch1 -p1

cat > uninstall_linux_or_grub.txt <<EOF
If you want to remove Linux, you must be careful to replace LILO or GRUB with
something else.

The equivalent of the Microsoft DOS/Windows(R) "fdisk /mbr" is:
% dd if=/usr/lib/extipl/aldebaran.bin of=/dev/hda
where you must replace hda with your first hard drive (eg: sda, hdc...)
EOF

%build
make -C src

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sbindir}
install src/extipl $RPM_BUILD_ROOT%{_sbindir}

install -d $RPM_BUILD_ROOT%{_libdir}/%{name}
install -m 644 src/{pollux,castor,altair,aldebaran}.bin $RPM_BUILD_ROOT%{_libdir}/%{name}

install -D -m 644 src/extipl.8.in $RPM_BUILD_ROOT%{_mandir}/man8/extipl.8


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc uninstall_linux_or_grub.txt doc/English/*
%{_sbindir}/*
%{_libdir}/%{name}
%{_mandir}/*/*

%changelog
* Sat Nov 30 2002 Stefan van der Eijk <stefan@eijk.nu> 5.04-3mdk
- BuildRequires: nasm

* Tue Aug 20 2002 Pixel <pixel@mandrakesoft.com> 5.04-2mdk
- use %%{_libdir} to please rpmlint

* Fri May  3 2002 Pixel <pixel@mandrakesoft.com> 5.04-1mdk
- new release

* Tue Feb  5 2002 Pixel <pixel@mandrakesoft.com> 5.03-1mdk
- initial spec


# end of file
